Qt Cryptographic Architecture: QCA::CertContextProps Class Reference

Qt Cryptographic Architecture

Public Attributes | List of all members
QCA::CertContextProps Class Reference
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::CertContextProps:
[legend]

## Public Attributes
QString | challenge
Constraints | constraints
QStringList | crlLocations
QDateTime | end
CertificateRequestFormat | format
bool | isCA
bool | isSelfSigned
CertificateInfoOrdered | issuer
QByteArray | issuerId
QStringList | issuerLocations
QStringList | ocspLocations
int | pathLimit
QStringList | policies
BigInteger | serial
QByteArray | sig
SignatureAlgorithm | sigalgo
QDateTime | start
CertificateInfoOrdered | subject
QByteArray | subjectId
int | version

## Detailed Description

X.509 certificate or certificate request properties.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want Certificate or CertificateRequest instead.

Some fields are only for certificates or only for certificate requests, and these fields are noted.

## Member Data Documentation

## ◆ version

int QCA::CertContextProps::version

The X.509 certificate version, usually 3.

This field is for certificates only.

## ◆ start

QDateTime QCA::CertContextProps::start

The time the certificate becomes valid (often the time of create)

This field is for certificates only.

## ◆ end

QDateTime QCA::CertContextProps::end

The time the certificate expires.

This field is for certificates only.

## ◆ subject

CertificateInfoOrdered QCA::CertContextProps::subject

The subject information.

## ◆ issuer

CertificateInfoOrdered QCA::CertContextProps::issuer

The issuer information.

This field is for certificates only.

## ◆ constraints

Constraints QCA::CertContextProps::constraints

The constraints.

## ◆ policies

QStringList QCA::CertContextProps::policies

The policies.

## ◆ crlLocations

QStringList QCA::CertContextProps::crlLocations

A list of URIs for CRLs.

This field is for certificates only.

## ◆ issuerLocations

QStringList QCA::CertContextProps::issuerLocations

A list of URIs for issuer certificates.

This field is for certificates only.

## ◆ ocspLocations

QStringList QCA::CertContextProps::ocspLocations

A list of URIs for OCSP services.

This field is for certificates only.

## ◆ serial

BigInteger QCA::CertContextProps::serial

The certificate serial number.

This field is for certificates only.

## ◆ isCA

bool QCA::CertContextProps::isCA

True if the certificate is a CA or the certificate request is requesting to be a CA, otherwise false.

## ◆ isSelfSigned

bool QCA::CertContextProps::isSelfSigned

True if the certificate is self-signed.

This field is for certificates only.

## ◆ pathLimit

int QCA::CertContextProps::pathLimit

The path limit.

## ◆ sig

QByteArray QCA::CertContextProps::sig

The signature data.

## ◆ sigalgo

SignatureAlgorithm QCA::CertContextProps::sigalgo

The signature algorithm used to create the signature.

## ◆ subjectId

QByteArray QCA::CertContextProps::subjectId

The subject id.

This field is for certificates only.

## ◆ issuerId

QByteArray QCA::CertContextProps::issuerId

The issuer id.

This field is for certificates only.

## ◆ challenge

QString QCA::CertContextProps::challenge

The SPKAC challenge value.

This field is for certificate requests only.

## ◆ format

CertificateRequestFormat QCA::CertContextProps::format

The format used for the certificate request.

This field is for certificate requests only.

The documentation for this class was generated from the following file:

- qcaprovider.h